<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\Classes\Export;

class ExportHonorarDetail extends \ExportBasis
{
  public function getVarValue($varname)
  {
    
    $hondetail = $this->exportresults[$this->actualset];
    switch ($this->getVarCategory($varname)) {
      default: return parent::getVarValue($varname);
      case 'hondetail_': return $hondetail->getVarValues($this->getVarName($varname));
      case 'kt_': return $this->expCalculation->getVarValue4Kurstag($this->getVarName($varname), $hondetail->getKurstag());
      case 'k_': return $this->expCalculation->getVarValue4Kurs($this->getVarName($varname), $hondetail->getKurstag()->getKurs());
    }
  }
}